Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## igeo.io
Class IRhino3dm.MeshCurvatureStats

    java.lang.Object
      igeo.io.IRhino3dm.MeshCurvatureStats

Enclosing class:
  IRhino3dm

    public static class IRhino3dm.MeshCurvatureStats

extends java.lang.Object

Nested Class Summary
`static class` | `IRhino3dm.MeshCurvatureStats.CurvatureStyle`

Field Summary
`double` | `adev`
`double` | `average`
`int` | `count`
`int` | `countInfinite`
`double` | `infinity`
`double` | `mode`
`IRhino3dm.Interval` | `range`
`IRhino3dm.MeshCurvatureStats.CurvatureStyle` | `style`

Constructor Summary
`IRhino3dm.MeshCurvatureStats()`

Method Summary
`void` | `read(IRhino3dm.Rhino3dmFile context, java.io.InputStream is)`
`static IRhino3dm.MeshCurvatureStats.CurvatureStyle` | `style(int i)`
`void` | `write(IRhino3dm.Rhino3dmFile context, java.io.OutputStream os, java.util.zip.CRC32 crc)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### style

    public IRhino3dm.MeshCurvatureStats.CurvatureStyle style

### infinity

    public double infinity

### countInfinite

    public int countInfinite

### count

    public int count

### mode

    public double mode

### average

    public double average

### adev

    public double adev

### range

    public IRhino3dm.Interval range

Constructor Detail

### IRhino3dm.MeshCurvatureStats

    public IRhino3dm.MeshCurvatureStats()

Method Detail

### style

    public static IRhino3dm.MeshCurvatureStats.CurvatureStyle style(int i)

### read

    public void read(IRhino3dm.Rhino3dmFile context,
                     java.io.InputStream is)
              throws java.io.IOException

  Throws:
    `java.io.IOException`

### write

    public void write(IRhino3dm.Rhino3dmFile context,
                      java.io.OutputStream os,
                      java.util.zip.CRC32 crc)
               throws java.io.IOException

  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD